docs

# CreateChatInviteLinkWithLimitedMembers

data class CreateChatInviteLinkWithLimitedMembers ( val chatId: ChatIdentifier , val membersLimit: MembersLimit , val name: String ? = null, val expirationUnixTimeStamp: TelegramDate ? = null) : CreateChatInviteLink < ChatInviteLinkWithLimitedMembers > , LimitedMembersChatInviteLinkRequest
Content copied to clipboard

Represent [https://core.telegram.org/bots/api#createchatinvitelink] request WITH `member_limit` and WITHOUT `creates_join_request`

## See also

dev.inmo.tgbotapi.requests.chat.invite_links.CreateChatInviteLink.Companion
dev.inmo.tgbotapi.requests.chat.invite_links.CreateChatInviteLinkUnlimited
dev.inmo.tgbotapi.requests.chat.invite_links.CreateChatInviteLinkWithJoinRequest

## Constructors

CreateChatInviteLinkWithLimitedMembers
Link copied to clipboard
fun CreateChatInviteLinkWithLimitedMembers ( chatId: ChatIdentifier , membersLimit: MembersLimit , name: String ? = null, expirationUnixTimeStamp: TelegramDate ? = null)
Content copied to clipboard

## Functions

method
Link copied to clipboard
open override fun method (): String
Content copied to clipboard

## Properties

chatId
Link copied to clipboard
open override val chatId : ChatIdentifier
Content copied to clipboard
expirationUnixTimeStamp
Link copied to clipboard
open override val expirationUnixTimeStamp : TelegramDate ? = null
Content copied to clipboard
expireDate
Link copied to clipboard
open override val expireDate : DateTime?
Content copied to clipboard
membersLimit
Link copied to clipboard
open override val membersLimit : MembersLimit
Content copied to clipboard
name
Link copied to clipboard
open override val name : String ? = null
Content copied to clipboard
requestSerializer
Link copied to clipboard
open override val requestSerializer : SerializationStrategy<*>
Content copied to clipboard
resultDeserializer
Link copied to clipboard
abstract val resultDeserializer : DeserializationStrategy< ChatInviteLinkWithLimitedMembers >
Content copied to clipboard